commit:     144cb777354a044142314ed38a1d04bfb32db0f0
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 24 13:45:12 2023 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Tue Oct 24 13:47:16 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=144cb777

dev-util/maturin: add 1.3.1

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-util/maturin/Manifest             |   4 +
 dev-util/maturin/maturin-1.3.1.ebuild | 493 ++++++++++++++++++++++++++++++++++
 2 files changed, 497 insertions(+)

diff --git a/dev-util/maturin/Manifest b/dev-util/maturin/Manifest
index 08857534f6ba..f871bce1b514 100644
--- a/dev-util/maturin/Manifest
+++ b/dev-util/maturin/Manifest
@@ -45,6 +45,7 @@ DIST cargo-platform-0.1.3.crate 11230 BLAKE2B 
a67d0f77015b85c7cc8e9cadd5eca3c1ac
 DIST cargo-xwin-0.14.3.crate 27491 BLAKE2B 
046b28b4362f9aba620f3f03c9bd4aee5cca43f75c70afafe961474ee8bc5f351b315ca143dd7a6521320aed07d5d97a280d69fd3c47a3dd2ce419af3c398919
 SHA512 
c4b4108add55055573381b7714fd84577a8d6c5b94f40f8c6d6420cd8aca22379f940b48c858e918352a6453656fa4b7b7239c66d5eccb98f23a9fa761630588
 DIST cargo-xwin-0.14.6.crate 27861 BLAKE2B 
652222f036a2914ea44437ca6afe61084d683d0469b8a45c2830b1b75b544c5e5388fb33bc3de325efd364ed3afb604ebb548931c574e3bcac0ea4fc4eabfbdd
 SHA512 
b5df44409cf3242f59b99b0b435d73145cced5c0c021004484eaf3f93f9737b8893505a37aa33361b1d7a683b9b2cd77993d4cb8a62f6cf1b89dc9294cc1bd03
 DIST cargo-xwin-0.14.7.crate 27856 BLAKE2B 
ed288d27a3c9dd0276d3164efd5f4e51b85e71f5b0aa022eb27316283a45b91a4f148789f07cf97b83b4f00cff1bababdd9a3f8f99102b3eeb48b86453e37c7c
 SHA512 
5da63aa8c51ab5f1e29f0f4b1da7fa95a989ab1ebbeb546b2287259d697d91deeea0b748b2112b2792c5c0bc2e08f34f7a27cc1b4d84ef9e01e268a09a8045c3
+DIST cargo-xwin-0.14.8.crate 27941 BLAKE2B 
79938f6c8f015d281e1da771b363e2fac6195764999e9be00a530840e9b1102248f389ba9bb307b3ab102f82a968ffc33ec2459d403553c4dd67baba56f40c22
 SHA512 
44b0edd3b0d3d7678d3522cab00138b28324c026e93fb1504be3603a8a5db8864cbf83cd02eca2fa5ebc549ac181438b7b4d410054a0ff7ee1d410611aa4c3d5
 DIST cargo-zigbuild-0.16.10.crate 30627 BLAKE2B 
88f8de5a8ce9459f46ce82811edbd669f582ff60a9be12056b21d64fdc6058cefdd67821b92b244ef4c4d497e32c95b0b4a49066a241b61602be1de3a3ad1c32
 SHA512 
a7cd9a9ec235707746f4e455e95d625f3ec2b8ff8f6a6aebf2ea1960c5a013089e1a9853cbfc04d2851ceaae2c6b8fbe3696d52027f7e45d15f993a0a672435d
 DIST cargo-zigbuild-0.17.0.crate 34388 BLAKE2B 
706319c00a0e152ce157c73af7b5b6bdaeb1330dde1fcac99b07d1d81a8023f39b5e02bbc59819f29ab71f259632d48880ffdba18514d006f89c1745c69cdd88
 SHA512 
9d895e9048b6198258471333f4f8152a9784adfc79910d8064215411ba49546e7c5ec5ba83a164e8c82fbaaf8bdb079b0dbbb18b94d7d44cee4b39e003e73565
 DIST cargo-zigbuild-0.17.3.crate 36677 BLAKE2B 
cee5afbcb7079d5978dd091b86fe36999ecc6e9af4f5968be28d29c5328a683544357f1771da30f71d66c0401558c35c2f416d89b913208df4c77db5744c6d2b
 SHA512 
686ec68091c4ca6c31b2cd722641242ee741a5c3146dd2864a1740505e96282479a03e3d20c703b46a333814189a41827fe8fafc94f5a5e0b2a6e094af56c2f7
@@ -183,6 +184,7 @@ DIST matchers-0.1.0.crate 6948 BLAKE2B 
ec3a5d01d2fedbb4dbf5bb185afbb9401410463a6
 DIST maturin-1.1.0.gh.tar.gz 429480 BLAKE2B 
fe32c1e244548d95808d24aa4faa3d1fe6c5dce6bc1529167df9f09eac10e0342a087529788034bb4d8b43a13153016df3342c6839c2ff9ae51bafa32170b8be
 SHA512 
1e35288bd671d9133a10fd3c4cdebc7488aa58b5d42e8c12e867d8dff662b80d8d149bb28bc0292debd1225a2e2f15b2ae91df1dba8efe85a1d94cdfb22d12e2
 DIST maturin-1.2.3.gh.tar.gz 439221 BLAKE2B 
13c4481a9968c18757e226b9fe6237d274082e84a79257eef403c579dea8e2ed63473f6259e6192617ddb9606872cd91d2aca958d711d6c9c69b8a3c7ead8f73
 SHA512 
ffbcb806f70015567db69be5f0214bb9b42c79d24f7e38ec2d46abfc831feda6d69952fc9e9f72fd2704154790e755b0f2ff4da8d273b8f02865bf148c8a16c1
 DIST maturin-1.3.0.gh.tar.gz 439104 BLAKE2B 
1fb399ac3cd8463282091b04f1132977ca776811c178075bffa03aff8e66699754ceff992226313a35db5779b8ecb213c854d65183f1ccde42472081fc70f77e
 SHA512 
49812a9ca89ce1839704034d80a717552421e76adc37f510125ce1ed2b776907533171a4413fdf2b273760630a0c7c1a0bddfda5b7f5c0c3526650d66f0e29bb
+DIST maturin-1.3.1.gh.tar.gz 440416 BLAKE2B 
d24262dfb66d548f63c700af774fd176ae995a5dade34f86fd616d6839ea27e27c20c85259c6fd350f7e3559e11b735672f75e3af178cd2dcdb6370bd565c02f
 SHA512 
71d222f9038359028b13c09a69f27b1c5e8cad8b75e79f09ef4dd97061d31d8d26e017aad90263b72b13a84da3819419df7c527dbd7e4bd14e8ac17e0ac985bd
 DIST memchr-2.5.0.crate 65812 BLAKE2B 
57966413a1f933dcb2d2d4ccb29c247070f65a83299b2a9f5aa83f5a48a5c5f1c4c7c632fa63bd19f9508e9291e7258db2f16e2813a56fd84e0856f70f1e67ab
 SHA512 
444a163b484c233e78c0e2e4d51f01ce2da93d7d29f516a95e4b0866b20bdfd3f34137653abed53eb70387991ee3e2b5937d8d4360a85bbcb50a93005a75defa
 DIST memoffset-0.8.0.crate 8912 BLAKE2B 
19ad3abed21fc39461b0382b15a8cc312378aba36f042b1e5335012115d31b350a4e3bc720f1eea300d7d19b9b317f75a28d4ccd78ff3b31defd9e4b3147899c
 SHA512 
47adcae0848ff967035e10543ea599c7af9c5bad387023eb4dc77c9e8d875994ec8139b9941b3ecc4fc17214d80944a47a3be174a45b334661914a5a7382dfbe
 DIST memoffset-0.9.0.crate 9033 BLAKE2B 
19090c1af8b8cf54a2cf7593748aff4d3dc685ec7080aa476139c1721ef71555495e1bc513b1efaddc7e7702f83e0e1c2a8f71ff40009d266539484c9297e0ed
 SHA512 
2f04f9b6fed31e94388c18162ad275897a835df7b9ac827f4df0f4b0ecf71064ef247f7ad11dbc27d7a6d448984a0f29d1c000e3c8d5fa6e121fa9571770ec55
@@ -191,6 +193,7 @@ DIST mime-0.3.17.crate 15712 BLAKE2B 
abb892b75b40657d356b6b53b9a45b2c822a0587345
 DIST mime_guess-2.0.4.crate 26399 BLAKE2B 
667f9b8009bac2e1d8b835ae8825afaaa2ea6eddd4cebbf18de8f8fcde9318eacaeeb08066bdd611883bef5f8a53fa2506b57dffff543c3a57316e07b525f7f5
 SHA512 
acfbbfdc5bd725edde43e4915858b8d016e90a5b483664f0bcd5e8d2b0b3684bf0f6020aea147b5bf429f218a7af8080761cea4c5c04b68fa66fd6a676376908
 DIST minijinja-0.34.0.crate 127021 BLAKE2B 
91d5211a322438262d342d06c983bd4906840b5e4466b8b4aa9701dc8eb50e6c5e658502177043297432c0b8809dbf5b607895d714f67a502a0bb56ad245d353
 SHA512 
fdc5d714ebd9d74682258e7b64df42cb258be599730f9021d889bba13eaa21e97328847929396b8bc33ea3cf0a4151203c69f2cab4e493674e8e9db28d2ee839
 DIST minijinja-1.0.6.crate 131618 BLAKE2B 
72fc74ba6db66cb06f6597832414a14a9a4b5455b24c7910af202c9a27fe2bec8429a67ba11ac268ccb92df2d3d49426ca2c893636fad49d6afba0ee610ab0dd
 SHA512 
14cf9903b3489cb22e0589834e76abcc2e6237975e744a4017b05f6588b8db73522bb0a09905b785c6bdd62d2e751fc1ae52ea3eb92a413dedfd763df18156c0
+DIST minijinja-1.0.8.crate 133962 BLAKE2B 
59f7e66999a09b44c74001b8b1b78be96e5d4320661f1a87b60ab21039a6ae5e95892b9e40c85f3d42dfed1f0f6de575628448c311d6fb160b40313e10d655ed
 SHA512 
b8ea871f612042e10598709e8315df458eacf606b3a77a57268d0fd37a4ecccba5f8f9173d6c6c04be0ede0abb486d5a685caffc641d2ccef968218bb0b00bba
 DIST minimal-lexical-0.2.1.crate 94841 BLAKE2B 
e6b8919b80d938d0b98d60d4f5f29ce43d77ebfcf8b18bde08909141915c6ef4f0d07a543538d4f3ba8527a9f55926d4a8e83473248469d087e80b274d701d61
 SHA512 
385fab51884bdcc7b0f2728a219ab164d0dc8efe42160b918f2c09f79ecf853fb12bda006d11e649f097bae1499dcd41ddf2a8784ee7d178cf2c28059e46078c
 DIST miniz_oxide-0.7.1.crate 55194 BLAKE2B 
56afbe0c0b3eca98105ae2d507493f365353cce29a6b04910ff26bc75899400fdbd067756cbda7b3d86f047fb8f3d737de00043a4a7348a813cc43e45824e33f
 SHA512 
5eb6ffe34a866403273ff0267ff7838aeb50722ca57a03d5a1d842a5f19a3b4af570b133a3b9d64d78eafe49e4b9732b92dd63fd9c6b0ce59b3295daf10f6a3c
 DIST msi-0.5.1.crate 58999 BLAKE2B 
979248fc275d37d5a44faf77c31c381c5df95b3aa4ae1344b3438cf48bde770b47557aa8b60e0bb949d7a6a9bd96e4bdc0fd55632d237e538de53d6f12816ba8
 SHA512 
718770feae47f5d288ca28b9d9ae70cea8b96718ac56d71e087a62fd71b076669156dfd28f3419f3207a03ccebc3fb4df0b64aa1726de69d6dc8ba5729e38623
@@ -291,6 +294,7 @@ DIST ring-0.16.20.crate 5082615 BLAKE2B 
6011eb7148c2d2ab410e564a06604f4350e07ea0
 DIST rustc_version-0.4.0.crate 12175 BLAKE2B 
6fda2ce03eab45d7193fa0d70175cc7ffb56b7be85fb1314092bdcfd3948ea145420569ace3a47218a4a2a6e44a818862cea6dd8cfb945475496f63b591c29da
 SHA512 
f66da7c6efe431db06cd01180d84ba67fcd38f8cd6ef693762957c00ccc2211f23c08079d7f184776e08f28d2d6ca3bdb5f5016f7de245c6193d4722891ba1db
 DIST rustix-0.37.19.crate 323809 BLAKE2B 
6a01e5128910c4b1333359efdacd5d0c1f0cf0ac4f2615e6891c10e7de3ce8df5ca50955a3e5c27f3b85d3ffee9fe28105aac3baa4fadd05172645e9f7ddb853
 SHA512 
e1c00f97414313580dfb7a616cd0e9a64d87950b4d4e6b536b5eaea93b8741f769ef62d4ee1461af8266758f9bdc136a445abbb05c8355a11d338a166b498722
 DIST rustix-0.37.23.crate 328010 BLAKE2B 
299ad4b521b1008b6e864e9e52e523e97319d4b976343dccfe9705273f92930bbf7ca21c3e243c90ff7424fe881b55f38a2840701ab75bdb381f31ca91b1d9ff
 SHA512 
9dcc915b753b0ae9ea4d92d33f3a7c73e889ca0dc22abb95ec3d375e4188449d1bd6835c122598beb947fc8aaf884c59cc2cf55ab77f32480f5c17e789664988
+DIST rustix-0.37.25.crate 324662 BLAKE2B 
b23833fde9b441f2bfde956c203eaad364c94cec1ece185fe4f1443e6cc142eee3c2a5d2b6fc1494a72484215bc4365d33ecde340510dc15acbaad98c35ddff1
 SHA512 
357961b9704d37e1b8d1e88f1b5431c01e0f911fb6c448778024fca685d46702170e2a344e4e70b05a9d522e279b0165ad0ff600000dff5fa391a02a271244e9
 DIST rustls-0.20.8.crate 270142 BLAKE2B 
0d9563e302eac78871eb8346c72fde2a05618dc8a966198cb4d607b41930dd54487d9f4d9c8ebbdf943b4593d4cbb75543c3aea9dddc61a06500b4b322aa726f
 SHA512 
4f56494987cd3a56f47dd07d31c7f73d262a4d003cf9cc11e0bce5fa85c87f18124b1c364186501736f0d40a1f193a24d5d73f37a491ff81ca8eff568559e547
 DIST rustls-0.21.2.crate 279135 BLAKE2B 
245050123812429cea4ed8b0f37c0f4e91cdcd24ebe930d7cb1b4345b974b962071adfdffa22186f7a4d4ce148e44b5b890b6528798ac4ab99327379c5b9702e
 SHA512 
fab9701a9cdc451219adc7769f6334a1a6776b6750d45fe2583b1de9d0f9fef38812bd6f18fd00c436b90b4247e967cd0aa9172c0db3268e3c77bc14306975a2
 DIST rustls-pemfile-1.0.2.crate 19347 BLAKE2B 
3bbbd44a3cf1a414ea536af3b208aff1303229b9b38d57f39b3b164235da06fe9222a4947d6f26168d13539c59ea8a6d00defa515391fab286dfc01225d95cba
 SHA512 
a70f30b23fd73d49527642d050ca6857edceb703e6a202bf80ecf47dd1c6923a9883e1cca8d5be0c7740dd1a43c60e045fe69c43aae9b2865bf11b455953bd10

diff --git a/dev-util/maturin/maturin-1.3.1.ebuild 
b/dev-util/maturin/maturin-1.3.1.ebuild
new file mode 100644
index 000000000000..065a2ee4b43a
--- /dev/null
+++ b/dev-util/maturin/maturin-1.3.1.ebuild
@@ -0,0 +1,493 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]+1.0.8
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]+1.1.1v
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]+wasi-snapshot-preview1
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+"
+# additional crates used by test-crates/* test packages,
+# `grep test-crates tests/run.rs` to see which are needed
+CRATES_TEST="
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+       [email protected]
+"
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+inherit cargo distutils-r1 edo shell-completion toolchain-funcs
+
+DESCRIPTION="Build and publish crates with pyo3, rust-cpython and cffi 
bindings"
+HOMEPAGE="https://www.maturin.rs/";
+SRC_URI="
+       https://github.com/PyO3/maturin/archive/refs/tags/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+       ${CARGO_CRATE_URIS}
+       test? ( $(cargo_crate_uris ${CRATES_TEST}) )
+"
+
+# note: ring is unused, so openssl license can be skipped
+LICENSE="|| ( Apache-2.0 MIT ) doc? ( CC-BY-4.0 OFL-1.1 )"
+LICENSE+="
+       0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD ISC MIT MPL-2.0
+       Unicode-DFS-2016
+" # crates
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="doc +ssl test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="$(python_gen_cond_dep 'dev-python/tomli[${PYTHON_USEDEP}]' 3.10)"
+DEPEND="ssl? ( dev-libs/openssl:= )"
+BDEPEND="
+       dev-python/setuptools-rust[${PYTHON_USEDEP}]
+       virtual/pkgconfig
+       doc? ( app-text/mdbook )
+       test? (
+               ${RDEPEND}
+               $(python_gen_cond_dep 'dev-python/cffi[${PYTHON_USEDEP}]' 
'python*')
+               dev-python/boltons[${PYTHON_USEDEP}]
+               dev-python/virtualenv[${PYTHON_USEDEP}]
+               dev-vcs/git
+       )
+"
+RDEPEND+=" ${DEPEND}"
+
+QA_FLAGS_IGNORED="usr/bin/${PN}"
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       if use test; then
+               # used to prevent use of network during tests, and silence pip
+               # if it finds unrelated issues with system packages (bug 
#913613)
+               cat > "${T}"/pip.conf <<-EOF || die
+                       [global]
+                       quiet = 2
+
+                       [install]
+                       no-index = yes
+                       no-dependencies = yes
+               EOF
+
+               # used by *git_sdist_generator tests
+               git init -q || die
+               git config --global user.email "[email protected]" || die
+               git config --global user.name "Larry the Cow" || die
+               git add . || die
+               git commit -qm init || die
+       fi
+}
+
+src_configure() {
+       local cargoargs=(
+               # TODO: try switching to `--profile gentoo` then should be able 
to
+               # remove all `use debug` checks and --release in tests, but 
needs:
+               # https://github.com/gentoo/gentoo/pull/29510
+               $(usev debug '--profile dev')
+               --no-default-features
+               # like release.yml + native-tls for better platform support 
than rustls
+               --features full,password-storage$(usev ssl ,native-tls)
+       )
+
+       export MATURIN_SETUP_ARGS=${cargoargs[*]}
+       export OPENSSL_NO_VENDOR=1
+}
+
+python_compile_all() {
+       use !doc || mdbook build -d html guide || die
+
+       if ! tc-is-cross-compiler; then
+               local maturin=target/$(usex debug{,} release)/maturin
+               ${maturin} completions bash > "${T}"/${PN} || die
+               ${maturin} completions fish > "${T}"/${PN}.fish || die
+               ${maturin} completions zsh > "${T}"/_${PN} || die
+       else
+               ewarn "shell completion files were skipped due to 
cross-compilation"
+       fi
+}
+
+python_test() {
+       local -x COLUMNS=100 # what tests/cmd was generated for
+       local -x MATURIN_TEST_PYTHON=${EPYTHON}
+       local -x PIP_CONFIG_FILE=${T}/pip.conf
+       local -x VIRTUALENV_SYSTEM_SITE_PACKAGES=1
+
+       local skip=(
+               # avoid need for wasm over a single hello world test
+               --skip integration_wasm_hello_world
+               # fragile depending on rust version, also wants libpypy*-c.so 
for pypy
+               --skip pyo3_no_extension_module
+       )
+
+       edo cargo test $(usev !debug --release) ${MATURIN_SETUP_ARGS} -- 
"${skip[@]}"
+}
+
+python_install_all() {
+       dodoc Changelog.md README.md
+       use doc && dodoc -r guide/html
+
+       if ! tc-is-cross-compiler; then
+               dobashcomp "${T}"/${PN}
+               dofishcomp "${T}"/${PN}.fish
+               dozshcomp "${T}"/_${PN}
+       fi
+}

Reply via email to